<?php

namespace Testprovider\Testpackage\Providers;

use Litepie\Contracts\Workflow\Workflow as WorkflowContract;
use Litepie\Foundation\Support\Providers\WorkflowServiceProvider as ServiceProvider;

class WorkflowServiceProvider extends ServiceProvider
{
    /**
     * The validators mappings for the package.
     *
     * @var array
     */
    protected $validators = [
        
        // Bind Trainingmodel workflow validator
        'Testprovider\Testpackage\Models\Trainingmodel' => \Testprovider\Testpackage\Workflow\TrainingmodelValidator::class,
    ];

    /**
     * The actions mappings for the package.
     *
     * @var array
     */
    protected $actions = [
        
        // Bind Trainingmodel workflow actions
        'Testprovider\Testpackage\Models\Trainingmodel' => \Testprovider\Testpackage\Workflow\TrainingmodelAction::class,
    ];

    /**
     * The notifiers mappings for the package.
     *
     * @var array
     */
    protected $notifiers = [
       
        // Bind Trainingmodel workflow notifiers
        'Testprovider\Testpackage\Models\Trainingmodel' => \Testprovider\Testpackage\Workflow\TrainingmodelNotifier::class,
    ];

    /**
     * Register any package workflow validation services.
     *
     * @param \Litepie\Contracts\Workflow\Workflow $workflow
     *
     * @return void
     */
    public function boot(WorkflowContract $workflow)
    {
        parent::registerValidators($workflow);
        parent::registerActions($workflow);
        parent::registerNotifiers($workflow);
    }
}
