<?php

namespace Testprovider\Testpackage\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class TrainingmodelTransformer extends TransformerAbstract
{
    public function transform(\Testprovider\Testpackage\Models\Trainingmodel $trainingmodel)
    {
        return [
            'id'                => $trainingmodel->getRouteKey(),
            'key'               => [
                'public'    => $trainingmodel->getPublicKey(),
                'route'     => $trainingmodel->getRouteKey(),
            ], 
            'pts_id'            => $trainingmodel->pts_id,
            'pts_ref'           => $trainingmodel->pts_ref,
            'pts_title'         => $trainingmodel->pts_title,
            'url'               => [
                'public'    => trans_url('testpackage/'.$trainingmodel->getPublicKey()),
                'user'      => guard_url('testpackage/trainingmodel/'.$trainingmodel->getRouteKey()),
            ], 
            'status'            => trans('app.'.$trainingmodel->status),
            'created_at'        => format_date($trainingmodel->created_at),
            'updated_at'        => format_date($trainingmodel->updated_at),
        ];
    }
}