<?php

namespace Testprovider\Testpackage\Workflow;

use Testprovider\Testpackage\Models\Trainingmodel;
use Testprovider\Testpackage\Notifications\TrainingmodelWorkflow as TrainingmodelNotifyer;
use Notification;

class TrainingmodelNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param Trainingmodel $trainingmodel
     *
     * @return void
     */
    public function complete(Trainingmodel $trainingmodel)
    {
        return Notification::send($trainingmodel->user, new TrainingmodelNotifyer($trainingmodel, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param Trainingmodel $trainingmodel
     *
     * @return void
     */
    public function verify(Trainingmodel $trainingmodel)
    {
        return Notification::send($trainingmodel->user, new TrainingmodelNotifyer($trainingmodel, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param Trainingmodel $trainingmodel
     *
     * @return void
     */
    public function approve(Trainingmodel $trainingmodel)
    {
        return Notification::send($trainingmodel->user, new TrainingmodelNotifyer($trainingmodel, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param Trainingmodel $trainingmodel
     *
     * @return void
     */
    public function publish(Trainingmodel $trainingmodel)
    {
        return Notification::send($trainingmodel->user, new TrainingmodelNotifyer($trainingmodel, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param Trainingmodel $trainingmodel
     *
     * @return void
     */
    public function archive(Trainingmodel $trainingmodel)
    {
        return Notification::send($trainingmodel->user, new TrainingmodelNotifyer($trainingmodel, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param Trainingmodel $trainingmodel
     *
     * @return void
     */
    public function unpublish(Trainingmodel $trainingmodel)
    {
        return Notification::send($trainingmodel->user, new TrainingmodelNotifyer($trainingmodel, 'unpublish'));;

    }
}
